Skip to main content
POST
/
v1
/
accounts
/
addresses
/
deposit
Create an account deposit address
curl --request POST \
  --url https://api-sandbox.circle.com/v1/accounts/addresses/deposit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
  "accountId": "1000565227"
}
'
import requests

url = "https://api-sandbox.circle.com/v1/accounts/addresses/deposit"

payload = {
    "idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
    "accountId": "1000565227"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    idempotencyKey: 'ba943ff1-ca16-49b2-ba55-1057e70ca5c7',
    accountId: '1000565227'
  })
};

fetch('https://api-sandbox.circle.com/v1/accounts/addresses/deposit', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "address": "0x8381470ED67C3802402dbbFa0058E8871F017A6F",
    "addressTag": "123456789",
    "id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
    "accountId": "<string>"
  }
}
{
  "code": 2,
  "message": "API parameter invalid."
}
{
  "code": 4,
  "message": "Unauthorized."
}
{
  "code": -1,
  "message": "Something went wrong. errId: 1f0b0c455e40f753f07b4f0ae6abd4b4"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
idempotencyKey
string<uuid>
required

Universally unique identifier (UUID v4) idempotency key. This key is utilized to ensure exactly-once execution of mutating requests.

Example:

"ba943ff1-ca16-49b2-ba55-1057e70ca5c7"

currency
enum<string> | null
required

A currency associated with a balance or address.

Available options:
USD,
EUR
chain
enum<string>
required

A blockchain that a given currency is available on.

Available options:
ALGO,
APTOS,
ARB,
AVAX,
BASE,
BTC,
CELO,
CODEX,
ETH,
HBAR,
HYPEREVM,
INK,
LINEA,
NEAR,
NOBLE,
OP,
PLUME,
PAH,
POLY,
SEI,
SOL,
SONIC,
SUI,
UNI,
WORLDCHAIN,
XDC,
XLM,
XRP,
ZKS,
ZKSYNC
accountId
string

Identifier for the account. Required for 3rd-party flows.

Example:

"1000565227"

Response

Successfully generated a new deposit address.

data
object